Attributes not loaded from kml/kmz file

2013-07-11 03:15 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17076

Description

While the attached kmz file will display within QGIS master, none of the attributes are visible. Opening the file in a text editor shows it

contains fields for name, description, network, type, etc. But opening the file in QGIS shows different attributes - "begin", "end",

"altitudeMode",... all of which are NULL.

I see the same behaviour in 1.8, so it's not a regression.

History

#1 - 2013-07-12 04:13 AM - Giovanni Manghi

I have qgis master compiled now against gdal 1.10 and it shows only the "name" and "description" fields, while with gdal 1.9.* I confirm the described

behavior.

#2 - 2014-01-14 06:16 PM - baditaflorin -

- File bujoru.kml added

- Target version set to Version 2.0.0

I can confirm the same bug with QGIS 2.0.1 on windows.

#3 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2014-08-09 10:10 PM - Andre Joost

Just another test case: http://gis.stackexchange.com/questions/33826/how-to-convert-kml-to-shapefile-without-losing-attributes

QGIS (2.4 now, but 2.0 and 1.8 behaved the same) can write kml output with Extended Data tag, but can not read it's own output correctly on Windows

builds. Reason might be that OSGEO4W does not include the LIBKML driver, but only the older KML driver. OGRinfo from the OSGEO4W shell also only

reports "Name" and "Description" fields.

Ogrinfo and ogr2ogr via gisinternals/sdk can read the QGIS kml output without problem using the "LIBKML" driver by default.

So I guess that OSGEO4W-QGIS kicks off the Extended Data tags due to the old "KML" driver.

The same kml file opens on Windows 7 with only Name and Description field, while on Ubuntu 14.04 (using ubuntugis unstable) all fields are present in the

attribute table.
http://trac.osgeo.org/osgeo4w/ticket/291 might solve the issue.

#5 - 2015-11-30 05:09 PM - Alex Zvoleff

I still see this on qGIS 2.12.0 on Windows 10. Any news on this issue?

#6 - 2016-04-08 01:48 AM - Patrick Valsecchi

On Ubuntu 15.10, we are using the LIBKML OGR driver to read those files. I've tried to use directly the ogr2ogr tool to convert to the provided KMZ and it

has the same bug as QGIS. Therefore, it's a GDAL (version 1.11.2+dfsg-3ubuntu3) bug, not a QGIS bug or a libkml bug.

To be sure it's not a problem with the data, I've opened it in google map and it works fine, there.

#7 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

data.vic_Municipal_Bicycle_Network.kmz 142 KB 2013-07-11 Nyall Dawson

bujoru.kml 10.9 KB 2014-01-14 baditaflorin -
